Beta

スケジュール作成

POSThttps://api.youvico.com/api/projects/:id/schedules
レート制限
Tier 3
スコープ
schedules:write
プロジェクトロール
所有者管理者メンバー

プロジェクトのスケジュールを作成します。

例

curl -X POST 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/schedules' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{ "name": "Final review", "description": "Review the final cut", "startDate": "2026-05-31", "startTime": "09:00", "endDate": "2026-06-01", "endTime": "18:00", "color": "BLUE" }'
{
  "data": {
    "id": "5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b"
  }
}
リクエスト
curl -X POST 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/schedules' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"name": "Final review",
"description": "Review the final cut",
"startDate": "2026-05-31",
"startTime": "09:00",
"endDate": "2026-06-01",
"endTime": "18:00",
"color": "BLUE"
}'
レスポンス201 Created
{
  "data": {
    "id": "5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b"
  }
}

リクエスト

パス

idstringrequired
プロジェクトID

ボディ

namestringrequired

1-255 characters

スケジュール名

例: Final review

descriptionstring

1-1000 characters

スケジュールの説明

例: Review the final cut

startDatestringrequired
開始日。YYYY-MM-DD

例: 2026-05-31

startTimestring?required
開始時刻。HH:mm、終日のスケジュールは null

例: 09:00

endDatestring?required
終了日。YYYY-MM-DD、開始日に終わる場合は null

例: 2026-06-01

endTimestring?required
終了時刻。HH:mm または null

例: 18:00

colorstringrequired
スケジュールの色

指定できる値: NONEREDORANGEYELLOWGREENBLUEPURPLEPINKGRAY

例: BLUE

補足

日付と時刻は、次の条件をすべて満たす必要があります。

  • startTime が null の場合、endTime も null にします。
  • startTime と endDate がある場合、endTime も指定します。
  • endDate は startDate より後の日付にします。開始日に終わるスケジュールは、endDate を null にして endTime だけを指定します。
  • 終了は開始より後にします。

レスポンス

201 Created を返します。

dataobject
作成されたスケジュール
data.idstring
スケジュールID

例: 5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b